| The Red Matrix

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Pages
Protected Member Functions | List of all members
ProtoDriver Class Reference
Inheritance diagram for ProtoDriver:

## Protected Member Functions
| discover ($channel, $location)
| deliver ($item, $channel, $recipients)
| collect ($channel, $connection)
| change_permissions ($permissions, $channel, $recipient)
| acknowledge_permissions ($permissions, $channel, $recipient)
| deliver_private ($item, $channel, $recipients)
| collect_private ($channel, $connection)

## Member Function Documentation

ProtoDriver::acknowledge_permissions | ( |  | $permissions,
|  |  | $channel,
|  |  | $recipient
| ) |  |
| abstract protected

ProtoDriver::change_permissions | ( |  | $permissions,
|  |  | $channel,
|  |  | $recipient
| ) |  |
| abstract protected

ProtoDriver::collect | ( |  | $channel,
|  |  | $connection
| ) |  |
| abstract protected

ProtoDriver::collect_private | ( |  | $channel,
|  |  | $connection
| ) |  |
| abstract protected

ProtoDriver::deliver | ( |  | $item,
|  |  | $channel,
|  |  | $recipients
| ) |  |
| abstract protected

ProtoDriver::deliver_private | ( |  | $item,
|  |  | $channel,
|  |  | $recipients
| ) |  |
| abstract protected

ProtoDriver::discover | ( |  | $channel,
|  |  | $location
| ) |  |
| abstract protected

The documentation for this class was generated from the following file:

- include/ProtoDriver.php